Package org.lwjgl.util.glu

# Class Project

java.lang.Object
org.lwjgl.util.glu.Util
org.lwjgl.util.glu.Project

public class Project extends Util
Project.java

Created 11-jan-2004

Author:
  Erik Duijs

## Constructor Summary

Constructors
Constructor
Description
`Project()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`gluLookAt(float eyex, float eyey, float eyez, float centerx, float centery, float centerz, float upx, float upy, float upz)`
Method gluLookAt
`static void`
`gluPerspective(float fovy, float aspect, float zNear, float zFar)`
Method gluPerspective.
`static void`
`gluPickMatrix(float x, float y, float deltaX, float deltaY, IntBuffer viewport)`
Method gluPickMatrix
`static boolean`
`gluProject(float objx, float objy, float objz, FloatBuffer modelMatrix, FloatBuffer projMatrix, IntBuffer viewport, FloatBuffer win_pos)`
Method gluProject
`static boolean`
`gluUnProject(float winx, float winy, float winz, FloatBuffer modelMatrix, FloatBuffer projMatrix, IntBuffer viewport, FloatBuffer obj_pos)`
Method gluUnproject

### Methods inherited from class org.lwjgl.util.glu.Util

`bytesPerPixel, ceil, compPerPix, cross, glGetIntegerv, nearestPower, normalize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Project

public Project()

## Method Details

### gluPerspective

public static void gluPerspective(float fovy, float aspect, float zNear, float zFar)
Method gluPerspective.

Parameters:
  `fovy` -
  `aspect` -
  `zNear` -
  `zFar` -

### gluLookAt

public static void gluLookAt(float eyex, float eyey, float eyez, float centerx, float centery, float centerz, float upx, float upy, float upz)
Method gluLookAt

Parameters:
  `eyex` -
  `eyey` -
  `eyez` -
  `centerx` -
  `centery` -
  `centerz` -
  `upx` -
  `upy` -
  `upz` -

### gluProject

public static boolean gluProject(float objx, float objy, float objz, FloatBuffer modelMatrix, FloatBuffer projMatrix, IntBuffer viewport, FloatBuffer win_pos)
Method gluProject

Parameters:
  `objx` -
  `objy` -
  `objz` -
  `modelMatrix` -
  `projMatrix` -
  `viewport` -
  `win_pos` -

### gluUnProject

public static boolean gluUnProject(float winx, float winy, float winz, FloatBuffer modelMatrix, FloatBuffer projMatrix, IntBuffer viewport, FloatBuffer obj_pos)
Method gluUnproject

Parameters:
  `winx` -
  `winy` -
  `winz` -
  `modelMatrix` -
  `projMatrix` -
  `viewport` -
  `obj_pos` -

### gluPickMatrix

public static void gluPickMatrix(float x, float y, float deltaX, float deltaY, IntBuffer viewport)
Method gluPickMatrix

Parameters:
  `x` -
  `y` -
  `deltaX` -
  `deltaY` -
  `viewport` -